org.eclipse.net4j.signal.confirmation

## Class ConfirmationPrompt

- java.lang.Object
- - org.eclipse.net4j.signal.confirmation.ConfirmationPrompt

-     public class ConfirmationPrompt
      extends java.lang.Object

  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfirmationPrompt(java.lang.String subject, java.lang.String message, Confirmation suggestedResponse, java.util.Collection<Confirmation> acceptableResponses)`
    `ConfirmationPrompt(java.lang.String subject, java.lang.String message, Confirmation suggestedResponse, Confirmation acceptableResponse, Confirmation... more)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<Confirmation>` | `getAcceptableResponses()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getSubject()`
    `Confirmation` | `getSuggestedResponse()`
    `static ConfirmationPrompt` | `read(ExtendedDataInput in)`
    `void` | `write(ExtendedDataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationPrompt

          public ConfirmationPrompt(java.lang.String subject,
                                    java.lang.String message,
                                    Confirmation suggestedResponse,
                                    Confirmation acceptableResponse,
                                    Confirmation... more)

    - #### ConfirmationPrompt

          public ConfirmationPrompt(java.lang.String subject,
                                    java.lang.String message,
                                    Confirmation suggestedResponse,
                                    java.util.Collection<Confirmation> acceptableResponses)

  - ### Method Detail

    - #### getSubject

          public java.lang.String getSubject()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getAcceptableResponses

          public java.util.Set<Confirmation> getAcceptableResponses()

    - #### getSuggestedResponse

          public Confirmation getSuggestedResponse()

    - #### write

          public void write(ExtendedDataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public static ConfirmationPrompt read(ExtendedDataInput in)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html